Bug 56551 - databases/db{3,4,41} cannot build
databases/db{3,4,41} cannot build
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: nork
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-07 12:20 UTC by kazuhiro
Modified: 2003-09-08 15:20 UTC (History)
0 users

See Also:


Attachments
file.diff (349 bytes, patch)
2003-09-07 12:20 UTC, kazuhiro
no flags Details | Diff
file.diff (324 bytes, patch)
2003-09-07 12:20 UTC, kazuhiro
no flags Details | Diff
file.diff (326 bytes, patch)
2003-09-07 12:20 UTC, kazuhiro
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kazuhiro 2003-09-07 12:20:14 UTC
-pthread is already deleted.
but, configure script has -pthread option.

Fix: apply following patches.
How-To-Repeat: 
fails in `make configure'.
Comment 1 nork freebsd_committer 2003-09-07 14:28:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nork

I'll handle this.
Comment 2 nork freebsd_committer 2003-09-07 14:47:59 UTC
Hi db4/db41 maintainer.

	Is this commit ok?
	http://www.freebsd.org/cgi/query-pr.cgi?pr=56551

On Sun, 7 Sep 2003 20:18:12 +0900
"KONDOU, Kazuhiro" <kazuhiro@alib.jp> wrote:
> >Number:         56551
> >Category:       ports
> >Synopsis:       databases/db{3,4,41} cannot build
> >Fix:
> apply following patches.
> --- db3/Makefile.orig	Fri Feb 21 02:00:09 2003
> +++ db3/Makefile	Sun Sep  7 19:53:43 2003
> @@ -35,6 +35,7 @@
>  			--target=${ARCH}-portbld-freebsd${OSREL}
>  
>  pre-patch:
> +	@${REINPLACE_CMD} -e 's|-pthread|${PTHREAD_LIBS}|g' ${WRKSRC}/${CONFIGURE_SCRIPT}
>  	@${REINPLACE_CMD} -e 's|-lpthread|${PTHREAD_LIBS}|g' ${WRKSRC}/${CONFIGURE_SCRIPT}
>  
>  post-patch:

	I'll change following line.
	@${REINPLACE_CMD} -Ee 's|-l?pthread|${PTHREAD_LIBS}|g' ${WRKSRC}/${CONFIGURE_SCRIPT}
Comment 3 matthias.andree 2003-09-08 15:12:44 UTC
I approve the @${REINPLACE_CMD} -Ee 's|-l?pthread|${PTHREAD_LIBS}|g' 
${WRKSRC}/${CONFIGURE_SCRIPT}
variant for db4 and db41. For db3, it's ports@, so if it works, I doubt 
someone will object.

Please remember to Cc: me -- with config.log on ports using GNU autoconf 
-- 
on problem reports that pertain to the ports I maintain.
Comment 4 nork freebsd_committer 2003-09-08 15:20:22 UTC
State Changed
From-To: open->closed

Committed, thanks!